> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer

> Returns the info about the customer requesting it.



## OpenAPI

````yaml /api/customer-chat/v3.6/openapi.json post /action/get_customer
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/get_customer:
    post:
      tags:
        - Customers
      summary: Get customer
      description: Returns the info about the customer requesting it.
      operationId: get-customer
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          description: Customer info.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCustomerResponse'
              example:
                id: b7eff798-f8df-4364-8059-649c35c9ed0c
                type: customer
                name: Thomas Anderson
                email: t.anderson@example.com
                avatar: https://example.com/avatars/1.jpg
                session_fields:
                  - custom_key: custom_value
                  - another_custom_key: another_custom_value
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    GetCustomerResponse:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        name:
          type: string
          description: The customer's name. Returned only if set.
        email:
          type: string
          description: The customer's email. Returned only if set.
        avatar:
          type: string
          description: The customer's avatar. Returned only if set.
        phone_number:
          type: string
          description: The customer's phone number. Returned only if set.
        session_fields:
          type: array
          items:
            type: object
            additionalProperties: true
          description: >-
            An array of custom object-enclosed key-value pairs. Returned only if
            set. Available for the session duration.
        omnichannel:
          type: object
          additionalProperties: true
          description: An object of the customer's omnichannel data.
        address:
          type: object
          additionalProperties: true
          description: An object of the customer's address data. Returned only if set.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````